umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
DontAskAgainItem Class Referenceabstract

`#include <dontaskagain.h>`

## Public Member Functions
| DontAskAgainItem (const QString &name)
virtual | ~DontAskAgainItem ()
QString & | name ()
virtual QString | text () const =0
bool | isAll ()
bool | isEnabled ()
void | setEnabled (bool state=true)

## Protected Attributes
QString | m_name

## Detailed Description

The DontAskAgainItem class holds a 'dont ask again' item, see DontAskAgainHandler for details.

Author
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Constructor & Destructor Documentation

## ◆ DontAskAgainItem()

DontAskAgainItem::DontAskAgainItem | ( | const QString & | name | ) |

## ◆ ~DontAskAgainItem()

DontAskAgainItem::~DontAskAgainItem | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ isAll()

bool DontAskAgainItem::isAll | ( |  | ) |

## ◆ isEnabled()

bool DontAskAgainItem::isEnabled | ( |  | ) |

## ◆ name()

QString & DontAskAgainItem::name | ( |  | ) |

## ◆ setEnabled()

void DontAskAgainItem::setEnabled | ( | bool | state = true | ) |

## ◆ text()

virtual QString DontAskAgainItem::text | ( |  | ) | const
| pure virtual

## Member Data Documentation

## ◆ m_name

QString DontAskAgainItem::m_name
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/dontaskagain.h
- umbrello/dialogs/dontaskagain.cpp